%PDF- %PDF-
Mini Shell

Mini Shell

Direktori : /var/lib/dpkg/info/
Upload File :
Create Path :
Current File : /var/lib/dpkg/info/veeam.postrm

#!/bin/sh

set -e

PATH=$PATH:/usr/sbin
USER="veeam"

case "$1" in
    purge)
        rm -rf /var/lib/veeam /var/log/veeam
    ;;

    upgrade | failed-upgrade)
        if [ ! -d /run/systemd/system ]  # for systemd do nothing
        then 
            if [ which invoke-rc.d >/dev/null 2>&1 ]
            then
                invoke-rc.d veeamservice status  >/dev/null 2>&1 || exit 0
                invoke-rc.d veeamservice upgrade >/dev/null 2>&1 || echo "upgrade failed, check logs"
            else
                /etc/init.d/veeamservice status  >/dev/null 2>&1 || exit 0
                /etc/init.d/veeamservice upgrade >/dev/null 2>&1 || echo "upgrade failed, check logs"
            fi
        fi
    ;;
  
    remove|abort-install|abort-upgrade|disappear)
    ;;

    *)
        echo "postrm called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

Zerion Mini Shell 1.0